package com.unis.base.server.domain;

import com.alibaba.fastjson.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.Page;
import com.unis.base.common.vo.DqyxxckVO;
import com.unis.base.server.dao.DqyxxckDao;

/**
 * @author lidiaoquan
 * @version 1.0
 * @Title: DqyxxckDomain
 * @Description: 储备粮企业信息查看
 * @date 2019年12月7日 下午4:58:55
 */
@Component
public class DqyxxckDomain {

	@Autowired
	DqyxxckDao dqyxxckDao;
	/**
	 * 根据企业名称获取-仓房-相关企业列表
	 * @param qymc
	 * @return
	 */
	public Page<DqyxxckVO> getCfQyxxList(DqyxxckVO vo, Integer pageNum, Integer pageSize){
		PageHelper.startPage(pageNum, pageSize);
		return dqyxxckDao.getCfQyxxList(vo);
	};

	/**
	 * 根据企业名称获取-设备-相关企业列表
	 * @param qymc
	 * @return
	 */
	public Page<DqyxxckVO> getSbQyxxList(DqyxxckVO vo, Integer pageNum, Integer pageSize){
		PageHelper.startPage(pageNum, pageSize);
		return dqyxxckDao.getSbQyxxList(vo);
	};

	/**
	 * 根据企业名称获取-药剂-相关企业列表
	 * @param qymc
	 * @return
	 */
	public Page<DqyxxckVO> getYpQyxxList(DqyxxckVO vo, Integer pageNum, Integer pageSize){
		PageHelper.startPage(pageNum, pageSize);
		return dqyxxckDao.getYpQyxxList(vo);
	};

	/**
	 * 根据企业名称获取-人员-相关企业列表
	 * @param qymc
	 * @return
	 */
	public Page<DqyxxckVO> getRyQyxxList(DqyxxckVO vo, Integer pageNum, Integer pageSize){
		PageHelper.startPage(pageNum, pageSize);
		return dqyxxckDao.getRyQyxxList(vo);
	};

	/**
	 * 根据企业名称获取-油罐-相关企业列表
	 * @param qymc
	 * @return
	 */
	public Page<DqyxxckVO> getYgQyxxList(DqyxxckVO vo, Integer pageNum, Integer pageSize){
		PageHelper.startPage(pageNum, pageSize);
		return dqyxxckDao.getYgQyxxList(vo);
	};

    public Integer getRyTotal(DqyxxckVO vo) {
        return dqyxxckDao.getRyTotal(vo);
    }

    /*
    * 仓容储量+闲置
    * */
    public JSONObject getCfQyxxTotal(DqyxxckVO vo) {
        DqyxxckVO total = dqyxxckDao.getCfQyxxTotal(vo);
        JSONObject object = new JSONObject();
        if (null == total) {
            object.put("cfNum", 0);
            object.put("hwNum", 0);
            object.put("sjcr", 0);
        }else {
            object.put("cfNum", total.getCfNum());
            object.put("hwNum", total.getHwNum());
            object.put("sjcr", total.getSjcr());
        }
        return object;
    }
}
